Bug 1300509 - ironic should have its own log file
ironic should have its own log file
Status: CLOSED EOL
Product: RDO
Classification: Community
Component: openstack-ironic (Show other bugs)
Liberty
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Kilo
Assigned To: Dmitry Tantsur
Toure Dunnon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-20 22:22 EST by Mohammed Arafa
Modified: 2016-05-19 11:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-19 11:55:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mohammed Arafa 2016-01-20 22:22:18 EST
Description of problem:
ironic currently logs to /var/log/message as well as /var/log/ironic/*

this is 
a) causing garbage to appear in /var/log/messages
b) making it harder to identify non-ironic issues
c) making it harder to identify ironic  only issues
d) duplication
e) use of more disk space

the request is to keep ironic to its own log file

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Dmitry Tantsur 2016-01-21 04:04:33 EST
I think it's journalctl that puts something in /var/log/messages, not ironic itself, so I don't think we can do something about it, sorry.
Comment 2 Mohammed Arafa 2016-01-21 07:03:34 EST
have you seen the size of /var/log/messages? i was shocked to find it at 650M+
i had to edit my logrotate config to keep it at 10M

is there any workaround?
Comment 3 Dmitry Tantsur 2016-01-21 07:20:11 EST
I routinely work with 1.5-2 GiB logs from one service, so I know your feelings :) judging by https://fedoraproject.org/wiki/Changes/NoDefaultSyslog you have rsyslog installed, which causes /var/log/messages to be populated. I suspect uninstalling it will do the trick.
Comment 4 Chandan Kumar 2016-05-19 11:55:18 EDT
This bug is against a Version which has reached End of Life.
If it's still present in supported release (http://releases.openstack.org), please update Version and reopen.

Note You need to log in before you can comment on or make changes to this bug.